Bug 224680 - Option to disable "JavaFX-Feature-Proxy"
Summary: Option to disable "JavaFX-Feature-Proxy"
Status: RESOLVED FIXED
Alias: None
Product: javafx
Classification: Unclassified
Component: Deployment (show other bugs)
Version: 7.2.1
Hardware: All All
: P3 normal with 1 vote (vote)
Assignee: Petr Somol
URL: http://javafx-jira.kenai.com/browse/R...
Keywords:
Depends on:
Blocks: 204758
  Show dependency tree
 
Reported: 2013-01-10 07:17 UTC by ceklock
Modified: 2013-04-02 12:00 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ceklock 2013-01-10 07:17:57 UTC
Please include an option on NetBeans to disable "JavaFX-Feature-Proxy". 

My standalone application takes many seconds to start because of proxy detection, but I don't need any proxy detection. 

When I am running the application from NetBeans it starts normally, but when I run it outside NetBeans, from a jar file, it takes many seconds to start. Can someone tell me why that happens?




====================================================================

One way to disable proxy setup by the embedded JavaFX launcher is to pass "-Djavafx.autoproxy.disable=true" on the command line. This is good for troubleshooting (proxy detection may cause significant startup time increases if network is misconfigured) but not really user friendly.

Now proxy setup will be disabled if manifest of main application jar has "JavaFX-Feature-Proxy" entry with value "None".
Comment 1 Stepan Zebra 2013-01-10 11:32:58 UTC
Attaching link to JIRA issue. Probably a patch candidate.
Comment 2 ceklock 2013-02-02 21:08:09 UTC
Reported JavaFX issue:

http://javafx-jira.kenai.com/browse/RT-28116
Comment 3 Petr Somol 2013-03-14 13:09:56 UTC
fixed in jetmain
http://hg.netbeans.org/jet-main/rev/c27272a570b0

A "Disable proxy detection" checkbox has been added to Deployment panel under Project Properties.
Comment 4 Quality Engineering 2013-03-16 01:50:20 UTC
Integrated into 'main-golden', will be available in build *201303152300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c27272a570b0
User: Petr Somol <psomol@netbeans.org>
Log: #224680 - Option to disable JavaFX-Feature-Proxy